<template>
	<div>
		<v-card height="8vh" id="report" @click="eventPopup = true">
			<h4 class="pt-6">
				{{ formatDate(data.ev_time) }} {{ data.ev_type }} ב{{ data.ev_area }}
			</h4>
		</v-card>
		<v-dialog
			v-model="this.eventPopup"
			width="20vw"
			@click:outside="eventPopup = false"
		>
			<eventPopup
				@closePopup="eventPopup = false"
				:eventId="data.report_id"
				:eventType="data.ev_type"
			></eventPopup>
		</v-dialog>
	</div>
</template>

<script>
import EventPopup from './eventPopup';
import dateFormat from 'date-format';

export default {
	name: 'report',
	props: {
		data: Object,
	},
	components: {
		EventPopup,
	},
	data() {
		return {
			eventPopup: false,
		};
	},
	methods: {
		formatDate(date) {
			const newDate = new Date(date);
			return dateFormat.asString('hh:mm', newDate);
		},
	},
};
</script>

<style scoped>
#report {
	background-color: #a7c4bcc4;
}

h4 {
	padding-right: 1.5%;
	color: rgba(0, 0, 0, 0.623);
}
</style>
